Subject: E-Link between PRC and Canada (Re: Network in China)

From: [email-masked] (Bo Xiong)
Date: Sat, 9 Mar 91 03:05:49 -0500

There have been many significant discussions on the network in China,
however, it seems to me that no one has mentioned the "network/link" 
between PRC and Canada.  I am posting three messages on this subject I 
received last July, since my friend (who is working on Ph.D. in networking 
in a Canadian school) requested me not to releasae details, I deleted 
his/her name and the name of the gateway host to those Chinese sites.

BTW, I myself and a few of my friends have been successfully sending/
receiving e-mail to/from PRC (take days long sometimes :-) via the link 
between Hong Kong Univ. and Beijing Univ. and between a German Univ. and 
PRC Ministry of Machinery and etc. which have been mentioned many times 
on SCC.
                                                      Bo Xiong
------------------------------------------------------------------------------

Message No.1
------------
>From ****@****.*****.ca Wed Jul 25 13:19:52 1990
Subject: for your info --- do not spread

Hi Bo,

I know that book, and you probably can find it in many libraries.

    J. S. Quarterman, ``The Matrix'',  Digital Press, 1990.

I read part of it in early 1989. The book summarizes all the current 
networks in the world. It even contains the China-net --- the early 
email discussion group among oversea Chinese students --- pre-SCC. 

However, I think some information on that book are old or out of date,
especially those information about China. Recently, people at ***** CS 
dept are able to receive email from Tsinghua directly, and from Beijing 
Univ through HK univ. A large local area network project has been set 
up among Tsinghua, Beida, Sino Academy of science in Zhong Guan villege 
area, and Northern China computing research institute. The email address 
format, taking from the message recently received from Tsinghua is 
<[email-masked]>. I expect other institutes will adopt 
the same naming convention sooner or later, although the source address 
of the messages from Beida are quite odd (no machine can recognize them!). 
I tried to send confirmation message back to the above address, and it 
went through.

Since Tsinghua - ***** link has not been commercialized, it is really still
in the stage of negotiating (accounting, routing table update management
...), the system manager discourage people use it for the moment. Also 
since the routing table in other sites' have not been updated, their 
machines would not know how to route messages to CNnet. In case you want 
to send to China using Tsinghua - ***** link, you will have to explicitly 
route your message through ***** (the same trick used in early stage of
CND to deliver mail to some Canadian and European sites if you still 
remember :-) as the following:

	<userid%cnlab.cc.tsinghua.ncfc.cn@*****.********.ca>

On the other hand, I tend to let fewer people know this link for the 
following reasons:

1) Our fellow Chinese tend to do things in "bulk" (Yi\ Wo- feng-) beside
taking advantage of cheap things. If too many people use it now, traffic 
will be very high and it will put too much pressure on making the link 
commercial, since only ***** and Tsinghua will pay the money for the 
international traffic between Canada and China (e.g., XX only needs to 
pay XX - ***** traffic for a mesasge from XX to Tsinghua). I prefer delay 
the announcement until its commercial negotiation finishes.

2) networking info is a sensitive thing to Chinese security. If people start
to pour in political related message into that link, China may be alerted and
close the link or restrict the use of network. The best thing is to let it
go and take it easy. So that the current hardline regime does not realize 
what network means to them until it grows too big to control. Remember what 
role that thousands Fax machines over China played after June 4th 1989. After 
more international links set up, it will be impossible for chinese security 
to monitor all the network traffic.
(I played an very active key role in helping Tsinghua in importing the EAN 
X400 message system software from Canada [high tech export requires export 
permit from Canadian government] and setting up the Tsinghua - ***** link).

This is just for your information.  you may forward this message to CND 
people with or without my name.

--- **** ****

Footnote: I say Quarterman's book is old because in his book, all the nodes
in China are "remote nodes" of Germen network since they are named like that. 
The current CNnet has its own independent naming structure which is consistent 
with the internationally adopted domain name convention and which will be 
recognizable by other machines just like CAnet address in Canada, without 
going to German network.
---------------------------------------------------------------------------

Message No.2 
------------
>From ****@****.*****.ca Wed Jul 25 13:22:36 1990
Subject: for your info --- do not spread

BTW, Tsinghua calls to ***** everyday now. I checked the message trasmission
time, it only take 1 minutes.

The Tsinghua - ***** link is a high speed X.25 link. They are working on 
getting a leased line from telephone company.
----------------------------------------------------------------------------

Message No.3
------------
>From ****@****.*****.ca Wed Jul 25 14:18:25 1990
Subject: for your info --- do not spread

The link between China and Germany mentioned in your message 
is a link between a machine in Beijing Institute of tech (belongs
to Chinese national machinary committee) and univ of University.
It is a different link.

I also over heard that Fuda U in Shanghai has a link to somewhere 
in US. does any of you have any clue in this?
----------------------------------------------------------------------------

Posted by Bo Xiong in Chicago